Page MenuHomePhabricator

[S] Add help link to Special:MediaSearch
Closed, ResolvedPublic

Description

We should consider adding a standard help link to Special:MediaSearch that points to the feature's docs on mediawiki.org, like this:

I would also recommend we consider moving the docs from Help:CirrusSearch/MediaSearch to Help:MediaSearch. With the current URL, you can't easily get to the help page via the search bar and it won't be the first search result unless you get the casing right. Plus, the Help:CirrusSearch page does not link to the MediaSearch page, so it seems pointless to include it as a subpage.

Related Objects

Event Timeline

AnneT created this task.Nov 16 2020, 6:15 PM
Restricted Application added a project: Structured-Data-Backlog. · View Herald TranscriptNov 16 2020, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
CBogen added a subscriber: Keegan.Nov 16 2020, 6:49 PM

cc @Keegan - any thoughts on this?

cc @Keegan - any thoughts on this?

I agree, now that we're stable linking to the help docs would be good.

AnneT updated the task description. (Show Details)Nov 16 2020, 8:09 PM

cc @Keegan - any thoughts on this?

I agree, now that we're stable linking to the help docs would be good.

What about moving the docs from Help:CirrusSearch/MediaSearch to Help:MediaSearch?

cc @Keegan - any thoughts on this?

I agree, now that we're stable linking to the help docs would be good.

What about moving the docs from Help:CirrusSearch/MediaSearch to Help:MediaSearch?

Sure, redirects are cheap. I've moved the page.

MarkTraceur renamed this task from Add help link to Special:MediaSearch to [S] Add help link to Special:MediaSearch.Nov 18 2020, 5:53 PM

Change 644321 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/WikibaseMediaInfo@master] Add help link to Special:MediaSearch

https://gerrit.wikimedia.org/r/644321

Change 644321 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Add help link to Special:MediaSearch

https://gerrit.wikimedia.org/r/644321

Etonkovidova added a subscriber: Etonkovidova.

Checked in betalabs - looks good; the question mark icon and the Help links direct to https://www.mediawiki.org/wiki/Help:MediaSearch. Since it's the standard help label - no translation is needed.

Etonkovidova closed this task as Resolved.Dec 3 2020, 1:19 AM